For the complete documentation index, see llms.txt. This page is also available as Markdown.

Playbook Assembly References

Get a paginated list of assembly references for an assembly.

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
assemblyObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
pageSizeinteger · int32OptionalDefault: 20
Responses
200

OK

totalCountinteger · int32Optional
get/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references
GET /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "multiDocumentListFormat": "paragraph",
      "singleDocumentReferenceFormat": "quote",
      "singleDocumentAnswerListFormat": "bullet",
      "template": {
        "type": "text",
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      },
      "templateColumns": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "template": {
            "type": "text",
            "content": "[Circular Reference]"
          }
        }
      ],
      "conditions": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "isYes": true,
          "fuzzyMatch": true,
          "minimumDecimalAnswer": 1,
          "maximumDecimalAnswer": 1,
          "textAnswer": "text",
          "allCategoriesMatch": true,
          "decimalAnswer": 1,
          "decimalOperator": "equal",
          "dateOperator": "equal",
          "startDate": "2026-01-01T00:00:00.000Z",
          "endDate": "2026-01-01T00:00:00.000Z",
          "dateAnswer": "2026-01-01T00:00:00.000Z",
          "playbookPromptConditionIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "categoryConditions": [
            {
              "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
              "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
              "fuzzyMatch": true,
              "text": "text"
            }
          ]
        }
      ],
      "prompts": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "label": "text",
          "playbookGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
        }
      ]
    }
  ],
  "totalCount": 1
}

Create a new assembly reference for a playbook.

post
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
assemblyObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Body
filterObjectIdentifiersstring · uuid[] · nullableOptional
multiDocumentListFormatstring · enumOptionalPossible values:
singleDocumentReferenceFormatstring · enumOptionalPossible values:
singleDocumentAnswerListFormatstring · enumOptionalPossible values:
Responses
201

Created

objectIdentifierstring · uuidOptional
stableObjectIdentifierstring · uuidOptional
assemblyObjectIdentifierstring · uuidOptional
multiDocumentListFormatstring · enumOptionalPossible values:
singleDocumentReferenceFormatstring · enumOptionalPossible values:
singleDocumentAnswerListFormatstring · enumOptionalPossible values:
post/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references
POST /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4105

{
  "filterObjectIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "multiDocumentListFormat": "paragraph",
  "singleDocumentReferenceFormat": "quote",
  "singleDocumentAnswerListFormat": "bullet",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  },
  "templateColumns": [
    {
      "name": "text",
      "template": {
        "type": "text",
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": [
              {
                "type": "text",
                "text": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                },
                "marks": [
                  {
                    "type": "text",
                    "attrs": {
                      "id": "text",
                      "label": "text",
                      "uuid": "123e4567-e89b-12d3-a456-426614174000",
                      "type": "text",
                      "promptDataType": "boolean",
                      "properties": [
                        {
                          "type": "text",
                          "attrs": {
                            "type": "text",
                            "uuid": "123e4567-e89b-12d3-a456-426614174000",
                            "id": "text",
                            "label": "text",
                            "renderAs": "text",
                            "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                          }
                        }
                      ],
                      "level": 1,
                      "href": "text",
                      "textAlign": "text"
                    }
                  }
                ],
                "content": "[Circular Reference]"
              }
            ]
          }
        ]
      }
    }
  ],
  "conditions": [
    {
      "isYes": true,
      "fuzzyMatch": true,
      "minimumDecimalAnswer": 1,
      "maximumDecimalAnswer": 1,
      "textAnswer": "text",
      "allCategoriesMatch": true,
      "decimalAnswer": 1,
      "decimalOperator": "equal",
      "dateOperator": "equal",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "dateAnswer": "2026-01-01T00:00:00.000Z",
      "playbookPromptConditionIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "categoryConditions": [
        {
          "fuzzyMatch": true,
          "text": "text"
        }
      ]
    }
  ]
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "multiDocumentListFormat": "paragraph",
  "singleDocumentReferenceFormat": "quote",
  "singleDocumentAnswerListFormat": "bullet",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  },
  "templateColumns": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "template": {
        "type": "text",
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": [
              {
                "type": "text",
                "text": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                },
                "marks": [
                  {
                    "type": "text",
                    "attrs": {
                      "id": "text",
                      "label": "text",
                      "uuid": "123e4567-e89b-12d3-a456-426614174000",
                      "type": "text",
                      "promptDataType": "boolean",
                      "properties": [
                        {
                          "type": "text",
                          "attrs": {
                            "type": "text",
                            "uuid": "123e4567-e89b-12d3-a456-426614174000",
                            "id": "text",
                            "label": "text",
                            "renderAs": "text",
                            "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                          }
                        }
                      ],
                      "level": 1,
                      "href": "text",
                      "textAlign": "text"
                    }
                  }
                ],
                "content": "[Circular Reference]"
              }
            ]
          }
        ]
      }
    }
  ],
  "conditions": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "isYes": true,
      "fuzzyMatch": true,
      "minimumDecimalAnswer": 1,
      "maximumDecimalAnswer": 1,
      "textAnswer": "text",
      "allCategoriesMatch": true,
      "decimalAnswer": 1,
      "decimalOperator": "equal",
      "dateOperator": "equal",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "dateAnswer": "2026-01-01T00:00:00.000Z",
      "playbookPromptConditionIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "categoryConditions": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "fuzzyMatch": true,
          "text": "text"
        }
      ]
    }
  ],
  "prompts": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "label": "text",
      "playbookGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Get a specific assembly reference by object identifier.

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidOptional
stableObjectIdentifierstring · uuidOptional
assemblyObjectIdentifierstring · uuidOptional
multiDocumentListFormatstring · enumOptionalPossible values:
singleDocumentReferenceFormatstring · enumOptionalPossible values:
singleDocumentAnswerListFormatstring · enumOptionalPossible values:
get/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier}
GET /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "multiDocumentListFormat": "paragraph",
  "singleDocumentReferenceFormat": "quote",
  "singleDocumentAnswerListFormat": "bullet",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  },
  "templateColumns": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "template": {
        "type": "text",
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": [
              {
                "type": "text",
                "text": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                },
                "marks": [
                  {
                    "type": "text",
                    "attrs": {
                      "id": "text",
                      "label": "text",
                      "uuid": "123e4567-e89b-12d3-a456-426614174000",
                      "type": "text",
                      "promptDataType": "boolean",
                      "properties": [
                        {
                          "type": "text",
                          "attrs": {
                            "type": "text",
                            "uuid": "123e4567-e89b-12d3-a456-426614174000",
                            "id": "text",
                            "label": "text",
                            "renderAs": "text",
                            "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                          }
                        }
                      ],
                      "level": 1,
                      "href": "text",
                      "textAlign": "text"
                    }
                  }
                ],
                "content": "[Circular Reference]"
              }
            ]
          }
        ]
      }
    }
  ],
  "conditions": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "isYes": true,
      "fuzzyMatch": true,
      "minimumDecimalAnswer": 1,
      "maximumDecimalAnswer": 1,
      "textAnswer": "text",
      "allCategoriesMatch": true,
      "decimalAnswer": 1,
      "decimalOperator": "equal",
      "dateOperator": "equal",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "dateAnswer": "2026-01-01T00:00:00.000Z",
      "playbookPromptConditionIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "categoryConditions": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "fuzzyMatch": true,
          "text": "text"
        }
      ]
    }
  ],
  "prompts": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "label": "text",
      "playbookGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Update an existing assembly reference. Template columns and conditions are managed through their own endpoints.

put
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Body
filterObjectIdentifiersstring · uuid[] · nullableOptional
filterObjectIdentifierstring · uuid · nullableOptional
multiDocumentListFormatstring · enumOptionalPossible values:
singleDocumentReferenceFormatstring · enumOptionalPossible values:
singleDocumentAnswerListFormatstring · enumOptionalPossible values:
Responses
200

OK

objectIdentifierstring · uuidOptional
stableObjectIdentifierstring · uuidOptional
assemblyObjectIdentifierstring · uuidOptional
multiDocumentListFormatstring · enumOptionalPossible values:
singleDocumentReferenceFormatstring · enumOptionalPossible values:
singleDocumentAnswerListFormatstring · enumOptionalPossible values:
put/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier}
PUT /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1928

{
  "filterObjectIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "filterObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "multiDocumentListFormat": "paragraph",
  "singleDocumentReferenceFormat": "quote",
  "singleDocumentAnswerListFormat": "bullet",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  }
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "stableObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "assemblyObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "multiDocumentListFormat": "paragraph",
  "singleDocumentReferenceFormat": "quote",
  "singleDocumentAnswerListFormat": "bullet",
  "template": {
    "type": "text",
    "content": [
      {
        "type": "text",
        "text": "text",
        "attrs": {
          "id": "text",
          "label": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "promptDataType": "boolean",
          "properties": [
            {
              "type": "text",
              "attrs": {
                "type": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "id": "text",
                "label": "text",
                "renderAs": "text",
                "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          ],
          "level": 1,
          "href": "text",
          "textAlign": "text"
        },
        "marks": [
          {
            "type": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            }
          }
        ],
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": "[Circular Reference]"
          }
        ]
      }
    ]
  },
  "templateColumns": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "template": {
        "type": "text",
        "content": [
          {
            "type": "text",
            "text": "text",
            "attrs": {
              "id": "text",
              "label": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "type": "text",
              "promptDataType": "boolean",
              "properties": [
                {
                  "type": "text",
                  "attrs": {
                    "type": "text",
                    "uuid": "123e4567-e89b-12d3-a456-426614174000",
                    "id": "text",
                    "label": "text",
                    "renderAs": "text",
                    "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                  }
                }
              ],
              "level": 1,
              "href": "text",
              "textAlign": "text"
            },
            "marks": [
              {
                "type": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                }
              }
            ],
            "content": [
              {
                "type": "text",
                "text": "text",
                "attrs": {
                  "id": "text",
                  "label": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "type": "text",
                  "promptDataType": "boolean",
                  "properties": [
                    {
                      "type": "text",
                      "attrs": {
                        "type": "text",
                        "uuid": "123e4567-e89b-12d3-a456-426614174000",
                        "id": "text",
                        "label": "text",
                        "renderAs": "text",
                        "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                      }
                    }
                  ],
                  "level": 1,
                  "href": "text",
                  "textAlign": "text"
                },
                "marks": [
                  {
                    "type": "text",
                    "attrs": {
                      "id": "text",
                      "label": "text",
                      "uuid": "123e4567-e89b-12d3-a456-426614174000",
                      "type": "text",
                      "promptDataType": "boolean",
                      "properties": [
                        {
                          "type": "text",
                          "attrs": {
                            "type": "text",
                            "uuid": "123e4567-e89b-12d3-a456-426614174000",
                            "id": "text",
                            "label": "text",
                            "renderAs": "text",
                            "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                          }
                        }
                      ],
                      "level": 1,
                      "href": "text",
                      "textAlign": "text"
                    }
                  }
                ],
                "content": "[Circular Reference]"
              }
            ]
          }
        ]
      }
    }
  ],
  "conditions": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "assemblyReferenceObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "isYes": true,
      "fuzzyMatch": true,
      "minimumDecimalAnswer": 1,
      "maximumDecimalAnswer": 1,
      "textAnswer": "text",
      "allCategoriesMatch": true,
      "decimalAnswer": 1,
      "decimalOperator": "equal",
      "dateOperator": "equal",
      "startDate": "2026-01-01T00:00:00.000Z",
      "endDate": "2026-01-01T00:00:00.000Z",
      "dateAnswer": "2026-01-01T00:00:00.000Z",
      "playbookPromptConditionIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "targetPromptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "categoryConditions": [
        {
          "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "assemblyReferenceConditionObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
          "fuzzyMatch": true,
          "text": "text"
        }
      ]
    }
  ],
  "prompts": [
    {
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
      "label": "text",
      "playbookGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Delete an assembly reference from a playbook.

delete
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Responses
204

No Content

No content

delete/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier}
DELETE /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Validate a set of assembly references against their filters.

post
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
assemblyObjectIdentifierstringRequired
Body
stableObjectIdentifiersstring · uuid[] · nullableRequired
Responses
200

OK

No content

post/playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/validate
POST /playbooks/{playbookIdentifier}/assemblies/{assemblyObjectIdentifier}/references/validate HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "stableObjectIdentifiers": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}

No content

Last updated